/*  */
function result_update_cklist(path, sval, mode, dform, keyid, mtype) {
	if ($(keyid).val().trim() == '') {
		alert(return_language_str(path, sval, '', 'NO_CHECKED_ITEM', ''));
		return false;
	} else {
		if (confirm(return_language_str(path, sval, '', 'CONFIRM_SUBMIT', '')+'?')) {
			var zmode = mode;
			var zeri = '';
			var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act=rupsave';
			url += '&zmode='+zmode+'&zeri='+zeri;
			var djson = (fromid_output_json(dform,'name')).replace(/'/g, "''"),
				keys = $(keyid).val();
			var verlen = djson.length;
			url += '&verlen='+verlen.toString();
			var data = 'htmljson='+EncodeURLutf8(djson)+'&keys='+EncodeURLutf8(keys);
			// console.log(url);
			$.post(url, data, function(msg) {
				// console.log(msg);
				var ret_msg = JSON.parse(msg);
				if (ret_msg[0].result == 'false') {
					alert(ret_msg[0].message);
					return false;
				} else {
					alert(return_language_str(path, sval, '', 'UPDATE_COMPLETE', ''));
					$(keyid).val('');
					eval('if (typeof search_submit_'+mtype+' == "function") search_submit_'+mtype+'();');
				}
			});
		}
	}
}